Subject: EMV Compliant?? If Not You're Responsible For fraud card charges

From: "EMV Pay" <[email-masked]>
Date: Mon, 27 Jun 2016 18:01:42 -0700

EMV Compliant?? If Not You're Responsible For fraud card charges